# ce_snmp_community – Manages SNMP community configuration on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages SNMP community configuration on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

access_right
-

Choices:
- read
- write

Access right read or write.

acl_number - |  | Access control list number.
community_mib_view - |  | Mib view name.
community_name - |  | Unique name to identify the community.
group_name - |  | Unique name to identify the SNMPv3 group.
notify_view - |  | Mib view name for notification.
read_view - |  | Mib view name for read.

security_level
-

Choices:
- noAuthNoPriv
- authentication
- privacy

Security level indicating whether to use authentication and encryption.

state
-

Choices:
- present ←
- absent

Manage the state of the resource.

write_view - |  | Mib view name for write.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.

- Recommended connection is `netconf`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: CloudEngine snmp community test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: "Config SNMP community"
        ce_snmp_community:
          state: present
          community_name: Wdz123456789
          access_right: write
          provider: "{{ cli }}"

      - name: "Undo SNMP community"
        ce_snmp_community:
          state: absent
          community_name: Wdz123456789
          access_right: write
          provider: "{{ cli }}"

      - name: "Config SNMP group"
        ce_snmp_community:
          state: present
          group_name: wdz_group
          security_level: noAuthNoPriv
          acl_number: 2000
          provider: "{{ cli }}"

      - name: "Undo SNMP group"
        ce_snmp_community:
          state: absent
          group_name: wdz_group
          security_level: noAuthNoPriv
          acl_number: 2000
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of aaa params after module execution Sample: {'snmp v3 group': {'snmp_group': ['wdz_group', 'noAuthNoPriv', '2000']}}
existing dictionary | always | k/v pairs of existing aaa server
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'acl_number': '2000', 'group_name': 'wdz_group', 'security_level': 'noAuthNoPriv', 'state': 'present'}
updates list | always | command sent to the device Sample: ['snmp-agent group v3 wdz_group noauthentication acl 2000']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- wangdezhuang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.